Skip to main content
GET
/
usage
/
data
/
List recent data usage records
curl --request GET \
  --url https://dashboard.hologram.io/api/1/usage/data/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 123,
  "size": 123,
  "continues": true,
  "lastid": 123,
  "links": {
    "path": "<string>",
    "base": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "linkid": 123,
      "record_id": 123,
      "session_begin": "<string>",
      "timestamp": "<string>",
      "bytes": 123,
      "imeisv": "<string>",
      "imei": "<string>",
      "cellid": 123,
      "lac": 123,
      "radio_access_technology": "<string>",
      "network_name": "<string>",
      "sim": "<string>",
      "simcardid": 123,
      "data_plan_id": 123,
      "tags": [
        "<string>"
      ],
      "country": "<string>",
      "profile_name": "<string>",
      "latitude": 123,
      "longitude": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

limit
integer
default:100

Maximum number of results to return (max 5000)

Required range: x <= 5000
before
integer

Return records with ID less than this value (cursor-based pagination)

after
integer

Return records with ID greater than this value (cursor-based pagination)

linkid
integer

Filter by a specific cellular link (SIM profile) ID

linkids
string

Comma-separated list of link (SIM profile) IDs to filter by

tagids
string

Comma-separated list of device tag IDs to filter by

timestart
integer

Unix timestamp; return records from this time onward

timeend
integer

Unix timestamp; return records up to this time

islive
boolean

When true, include only live (non-paused) devices

getdeviceinfo
boolean

When true, include device metadata in each record

getplaninfo
boolean

When true, include data plan metadata in each record

getprofileinfo
boolean

When true, include SIM profile metadata in each record

getcountryinfo
boolean

When true, include country metadata in each record

getlocationinfo
boolean

When true, include location metadata in each record

startafter
integer

Return results with record ID less than this value

higherthanid
integer

Return results with record ID greater than this value

simcardids
string

Comma-separated list of SIM card IDs

tagid
integer

Filter by device tag ID

tagname
string

Filter by device tag name

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

limit
integer

Maximum number of records returned per page

size
integer

Number of records in this response

continues
boolean

True if more records are available

lastid
integer

record_id of the last record returned; pass as startafter to fetch the next page

data
object[]